#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2two23004xi.py">
#<abstract4xi abstract = "fires to direction two and to distance 2300"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2two23004xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2TWO - COORDINATE SIGNS OF SHOOT2TWO4XI: (X + ,Y - ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2two23004xi

#"
#/>

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

# -------------------------------------------------------------------------------------------------
# 2300
# -------------------------------------------------------------------------------------------------
shot2two23004xi = {
        1:'1003x-2053y-254z',
        2:'1005x-153y-2062z',
        3:'1006x-573y-1986z',
        4:'1016x-209y-2052z',
        5:'1017x-511y-1998z',
        6:'1023x-267y-2042z',
        7:'1024x-449y-2009z',
        8:'1027x-327y-2031z',
        9:'1027x-387y-2020z',
        10:'1107x-1996y-277z',
        11:'1184x-1971y-21z',
        12:'1209x-1933y-300z',
        13:'1285x-1906y-44z',
        14:'1307x-1864y-323z',
        15:'1383x-1836y-67z',
        16:'139x-948y-2090z',
        17:'1400x-1791y-346z',
        18:'1477x-1760y-90z',
        19:'1490x-1712y-368z',
        20:'153x-1195y-1959z',
        21:'1566x-1680y-113z',
        22:'1575x-1629y-391z',
        23:'164x-1486y-1747z',
        24:'1651x-1594y-136z',
        25:'1655x-1542y-414z',
        26:'1730x-1450y-436z',
        27:'1731x-1505y-159z',
        28:'1800x-1355y-459z',
        29:'1806x-1411y-182z',
        30:'184x-918y-2100z',
        31:'1865x-1256y-481z',
        32:'1876x-1313y-205z',
        33:'1924x-1154y-504z',
        34:'1940x-1212y-228z',
        35:'1977x-1050y-526z',
        36:'1999x-1108y-251z',
        37:'201x-2289y-94z',
        38:'2024x-942y-549z',
        39:'2052x-1001y-273z',
        40:'2066x-833y-571z',
        41:'2099x-891y-296z',
        42:'2101x-722y-593z',
        43:'212x-1166y-1971z',
        44:'2130x-609y-615z',
        45:'2140x-779y-319z',
        46:'2153x-495y-637z',
        47:'2169x-381y-659z',
        48:'2175x-664y-342z',
        49:'2180x-266y-681z',
        50:'2182x-36y-725z',
        51:'2184x-151y-703z',
        52:'2203x-549y-365z',
        53:'2221x-595y-6z',
        54:'2225x-432y-387z',
        55:'2241x-314y-410z',
        56:'2249x-478y-29z',
        57:'2250x-196y-432z',
        58:'2253x-78y-455z',
        59:'2271x-359y-52z',
        60:'227x-887y-2109z',
        61:'2286x-240y-75z',
        62:'2294x-120y-98z',
        63:'239x-1458y-1762z',
        64:'268x-1134y-1982z',
        65:'279x-891y-2210z',
        66:'29x-1243y-1934z',
        67:'311x-1426y-1776z',
        68:'320x-2274y-117z',
        69:'322x-1099y-1994z',
        70:'372x-1062y-2005z',
        71:'381x-1391y-1791z',
        72:'41x-999y-2071z',
        73:'420x-1022y-2016z',
        74:'439x-2253y-140z',
        75:'448x-1352y-1805z',
        76:'464x-980y-2027z',
        77:'505x-937y-2038z',
        78:'511x-1310y-1819z',
        79:'543x-892y-2049z',
        80:'556x-2225y-163z',
        81:'571x-1264y-1833z',
        82:'577x-845y-2059z',
        83:'608x-797y-2069z',
        84:'628x-1216y-1847z',
        85:'636x-748y-2079z',
        86:'638x-18y-2209z',
        87:'658x-53y-2203z',
        88:'660x-699y-2089z',
        89:'671x-2191y-186z',
        90:'676x-91y-2196z',
        91:'680x-649y-2098z',
        92:'682x-1166y-1861z',
        93:'692x-130y-2189z',
        94:'697x-599y-2108z',
        95:'706x-171y-2182z',
        96:'711x-549y-2117z',
        97:'716x-214y-2174z',
        98:'721x-499y-2126z',
        99:'725x-259y-2167z',
        100:'728x-449y-2134z',
        101:'730x-305y-2159z',
        102:'732x-1113y-1874z',
        103:'732x-400y-2143z',
        104:'733x-352y-2151z',
        105:'778x-1058y-1887z',
        106:'784x-2151y-209z',
        107:'81x-2297y-71z',
        108:'820x-1001y-1900z',
        109:'859x-943y-1913z',
        110:'87x-1510y-1732z',
        111:'893x-883y-1926z',
        112:'895x-2105y-232z',
        113:'8x-1530y-1716z',
        114:'91x-974y-2081z',
        115:'924x-822y-1938z',
        116:'92x-1220y-1946z',
        117:'950x-760y-1951z',
        118:'973x-698y-1963z',
        119:'974x-45y-2082z',
        120:'991x-98y-2073z',
        121:'992x-636y-1975z'}
        
        
#"
#"/>

        
# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire2300two4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire2300two4xi(queue2two, consumer_channel2two, publisher_channel2two):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE2300TWO4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE2300TWO4XI -  QUEUE2TWO: ", queue2two)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE2300TWO4XI -  CONSUMER_CHANNEL2TWO: ", consumer_channel2two)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE2300TWO4XI -  PUBLISHER_CHANNEL2TWO: ", publisher_channel2two)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE2300TWO4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2two.put(shot2two23004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE2300TWO4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE2300TWO4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE2300TWO4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2two8shot2two23004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2two8shot2two23004xi</nack2put4xi>" 
            
        publisher_channel2two.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE2300TWO4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE2300TWO4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE2300TWO4XI - RETURNING QUEUE OBJECT QUEUE2TWO: ", queue2two, " - TIME: ", time4xi())  
        # 
            
    return queue2two    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verbkb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2two23004xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
        